MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026944Open CASCADE[OCCT] OCCT:Configurationpublic2015-12-01 20:262016-04-20 15:49
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026944: CMake remarks
DescriptionRemarks on CMake procedure in current master

1. Several variables are out of groups; these should be renamed to get to relevant group. The proposed replacement is:

APPLY_OCCT_PATCH_DIR -> BUILD_PATCH
OCCT_ALGO_EXTENDED_OUTPUT -> BUILD_WITH_DEBUG
REBUILD_PLATFORM_DEPENDENT_CODE -> BUILD_YACCLEX
VTK_DIR -> 3RDPARTY_VTK_DIR

2. Variable 3RDPARTY_DOXYGEN_DOT_EXECUTABLE should be renamed to 3RDPARTY_DOT_EXECUTABLE -- dot is not part of Doxygen (but part of Graphviz -- this should be indicated in tooltip message)

3. Warning messages like this:

Warning. .../a.hxx~ is not involved into .../FILES

should be amended, e.g.:

Warning: File .../a.hxx~ is not listed in .../FILES

4. I get two linker errors:

Error 1 error LNK1181: cannot open input file 'C:\Program Files (x86)\Microsoft DirectX SDK (June 2010)\Lib\x64\d3d9.lib' D:\ABV\OCCT\occt7\win64\vc10\cmake\src\TKIVtk\LINK
Error 2 error LNK1181: cannot open input file '..\..\win64\vc10\lib\TKIVtk.lib' D:\ABV\OCCT\occt7\win64\vc10\cmake\src\TKIVtkDraw\LINK

though I have USE_D3D unchecked, and 3RDPARTY_VTK_DIR is set correctly to d:/ABV/OCCT/3rdparty/VTK-6.1.0-vc10-64
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0027040closedabv IVtk does not compile after configuring with CMake 
parent of 0027019newinv Configuration, CMake - Generation of proxy files in inc folder should be done on generation step, rather than configuration 
parent of 0027022closedbugmaster Configuration, CMake - rename ungrouped variables to include them to the existing groups 
parent of 0027195closedbugmaster Configuration, CMake - data and samples/tcl folders are installed with DRAW executable only 
related to 0027176closedabv Configuration, CMake - INSTALL_DIR is a common prefix for all other install variables 
related to 0027181closedbugmaster Configuration, CMake - samples and data files are not found by tests when they are installed in "share" subfolder 
related to 0027287closedbugmaster Configuration, CMake - do implicitly search for Doxygen and turn Overview generation on if the search is successful 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0048694)
ibs (developer)
2015-12-02 15:56

5. required CSF_ variables are not specified during debugging of DRAWEXE started from Visual Studio

p.s. the variables should be specified as CASROOT and PATH be done already (see adm/templates/DRAWEXE.vcxproj.user.in for details)
(0048695)
ibs (developer)
2015-12-02 16:01

> 4. I get two linker errors:

vtkRenderingOpenGL requires d3d9.lib (with hardcoded path) at <VTK>\lib\cmake\vtk-6.1\VTKTargets-release.cmake:

C:/Program Files (x86)/Microsoft DirectX SDK (June 2010)/Lib/x64/d3d9.lib
(0048696)
ibs (developer)
2015-12-02 16:20
edited on: 2015-12-02 16:22

5. Additional information

"bugs caf bug21231" test can be used to debug of further fix . It should be completed with success.

1. start Visual Studio
2. start debug (F5)
3. type in draw: test bugs caf bug21231 1

(0049071)
abv (manager)
2015-12-12 22:01

6. Generation of proxy files in inc folder should be done on generation step, rather than configuration
(0049362)
ibs (developer)
2015-12-21 15:01

> 4. I get two linker errors:
VTK 6.3 does not have the problem with linking of d3d9.lib
(0049613)
abv (manager)
2015-12-26 15:14

For point 4 separate issue is created: 0027040
(0049698)
abv (manager)
2016-01-05 17:40

Remark regarding INSTALL_DIR and its siblings: it would be more convenient to define other dirs as relative to INSTALL_DIR itself; this would allow reducing dependency and easier setting.
(0050619)
abv (manager)
2016-02-11 11:12

7. When samples are installed in subfolder "share" on Linux, they are not found by tests in the group "test demo". I suppose that data files in "data" subfolder also will not be found by current version.

8. Description of INSTALL_TEST_CASES variable in CMake can be improved to suggest enabling also installation of samples and data files. Besides, do we have an option to install data files, or they are always installed?
(0051002)
ibs (developer)
2016-02-19 12:26

8. "data" and "sample/tcl" are always installed
(0051573)
abv (manager)
2016-03-13 20:18

9. When BUILD_DOC_Overview is enabled, CMake searches for Graphviz -- is it really necessary? I guess we have no diagrams generated by Graphviz dynamically in Overview docs...
(0051776)
ibs (developer)
2016-03-18 11:59

0027287 has been reported to solve the ninth clause about BUILD_DOC_Overview and Graphviz
(0051815)
abv (manager)
2016-03-21 15:17

I suppose all the problems described here have been either resolved or moved to separate issues, and suggest that this one should be set to Verified.

- Issue History
Date Modified Username Field Change
2015-12-01 20:26 abv New Issue
2015-12-01 20:26 abv Assigned To => bugmaster
2015-12-01 20:28 abv Description Updated View Revisions
2015-12-01 20:31 abv Description Updated View Revisions
2015-12-01 20:55 abv Description Updated View Revisions
2015-12-02 15:56 ibs Note Added: 0048694
2015-12-02 16:01 ibs Note Added: 0048695
2015-12-02 16:20 ibs Note Added: 0048696
2015-12-02 16:21 ibs Note Edited: 0048696 View Revisions
2015-12-02 16:22 ibs Note Edited: 0048696 View Revisions
2015-12-12 22:01 abv Note Added: 0049071
2015-12-21 11:07 ibs Relationship added parent of 0027019
2015-12-21 12:11 ibs Relationship added parent of 0027022
2015-12-21 15:01 ibs Note Added: 0049362
2015-12-25 12:06 ibs Assigned To bugmaster => ibs
2015-12-26 15:13 abv Relationship added related to 0027040
2015-12-26 15:14 abv Note Added: 0049613
2016-01-05 17:40 abv Note Added: 0049698
2016-02-11 11:12 abv Note Added: 0050619
2016-02-18 10:51 ibs Relationship added related to 0027176
2016-02-18 14:12 ibs Relationship added related to 0027181
2016-02-19 12:26 ibs Note Added: 0051002
2016-02-20 18:24 ibs Relationship added parent of 0027195
2016-03-13 20:18 abv Note Added: 0051573
2016-03-18 11:57 ibs Relationship added related to 0027287
2016-03-18 11:59 ibs Note Added: 0051776
2016-03-21 15:17 abv Note Added: 0051815
2016-03-21 15:17 abv Assigned To ibs => bugmaster
2016-03-21 15:17 abv Status new => feedback
2016-03-28 16:17 bugmaster Status feedback => tested
2016-03-28 16:17 bugmaster Status tested => verified
2016-03-28 16:17 bugmaster Resolution open => fixed
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker